#******************************************************
# Convert between two formats using Vue
#
# - massconvert.py
# - By Mark Caldwell
# - Version 0.5.1 (No GUI)
# - 6th August 2007
# - Copyright Mark Caldwell 2007
# - Tested with Vue 6 Infinite Pre Release
#
# How to use in 4 easy steps
#
# 1. Download this file onto your computer
#
# 2. Place the files to be converted in the same directory
#    as the script
#
# 3. Edit the script to change output_directory.  This is
#    the directory the files will be put in and is relative
#    to the root directory of your vue installation.
#    eg if Vue python is in to:
#    C:\Program Files\e-on software\Vue 6 Infinite\Python
#    and you want to save the files to:
#    C:\Program Files\e-on software\Vue 6 Infinite\Python\Scripts\outfiles
#    Change output directory to:
#    output_directory='\Scripts\outfiles'
#
#    Make sure the directory you want to save to exists.
#    If it doesn't the files will not be saved.
#
# 4. Then run script and wait for it to work supplying
#    responses when prompted.
#
#    To run it go to Python -> Run Python Script
#    Then locate the file on your computer
#
#    Do not run using quick load options
#
# Available input formats are:
# 3dmf
# 3ds
# cob
# dxf
# lwo
# obj
# pz3
# raw
# shd
# skp
# vob
#
# Available output formats are:
# 3ds
# c4d
# dxf
# lwo
# obj
# shd
# vob
#
# Conversion options are those currently selected under
# File -> Export As
#
#******************************************************

#----------------------------------------------
# Configuration: Set these to alter end result
#----------------------------------------------

# Change the line below to change where files are saved
# see instructions above for more details

output_directory='/scripts/massconvert' 

#----------------------------------------------
# Internal Variables Set Up: Don't alter these
#----------------------------------------------

import os
import string

# get the Vue python path
VuePythonPath = sys.path[1]

# get the Vue Python Folder
VuePythonFolder,junk = os.path.split(VuePythonPath)

# Get the Vue Root Path
VueRootPath,junk = os.path.split(VuePythonFolder)

# Set where to put the output files

output_path=VuePythonFolder+output_directory

obj=[]
objectlist=[]
extensionin='obj'
extensionout='3ds'

#---------------------------------------------------
# Get User Input
#---------------------------------------------------

extensionin=Prompt('File extension of files to import\nobj 3ds lwo c4d cob dxf pz3 shd vob',extensionin,true,'Input File Extension')
extensionout=Prompt('File extension on files to output\nobj 3ds lwo c4d cob dxf shd vob',extensionout,true,'Output File Extension')

#---------------------------------------------------
# Main Script Body
#---------------------------------------------------

# Load objects

filenames=os.listdir(os.curdir)

for filename in filenames:
    if '.'+extensionin in filename:
        obj=ImportObject(filename)
        newfilename=output_path+'/'+filename.replace('.'+extensionin,'.'+extensionout)
        print filename+" to "+newfilename
        SelectOnly(obj)
        print ExportObject  (newfilename)
        Delete()

Refresh()


